// bottomprint different messages of interest. Optionally mutes some of them in the chathud
// huge probs to runar, as this is basically a mod of his killopup.

// show kills / teamkills
$TimNotifyKills = true;
$TimNotifyTKills = true;

// show repkit pickup / use
$TimNotifyRepkitPickup = false;
$TimNotifyRepkitUse = false;

// show "out of beacons" message in tr2
$TimNotifyBeacons = true;

// popup delay in secons
$TimNotifyDelay = 2;

// -- dont edit below here --

function TimNotifyJoin(%msgType, %msgString, %clientName, %clientId, %targetId, %isAI, %isAdmin, %isSuperAdmin, %isSmurf, %guid)
{
   if(StrStr(%msgString, "Welcome to Tribes") != -1)
      $myClientName = detag(%clientName);
}

function TimNotifyKill(%msgType, %msgString, %victimName, %victimGender, %victimPoss, %killerName, %killerGender, %killerPoss, %damageType, %damageTypeText)
{
   if(($myClientName $= detag(%killerName)) && $TimNotifyKills)
      clientCmdBottomPrint("Killed: " @ detag(%victimName), $TimNotifyDelay, 1);
}

function TimNotifyTKill(%msgType, %msgString, %victimName, %victimGender, %victimPoss, %killerName, %killerGender, %killerPoss, %damageType, %damageTypeText)
{
   if(($myClientName $= detag(%killerName)) && $TimNotifyTKills)
      clientCmdBottomPrint("Team-Killed: " @ detag(%victimName), $TimNotifyDelay, 1);
}

function TimNotifyRepkitUse(%msgType, %msgString)
{
   if((StrStr(%msgString, "Repair Kit Used") != -1) && $TimNotifyRepkitUse)
      clientCmdBottomPrint("Repair Kit Used", $TimNotifyDelay, 1);
}

function TimNotifyRepkit(%msgType, %msgString)
{
   if((StrStr(%msgString, "You picked up a repair kit") != -1) && $TimNotifyRepkitPickup)
      clientCmdBottomPrint("Repair Kit Found", $TimNotifyDelay, 1);
}

function TimNotifyBeacon(%slot, %amount)
{  
   if((%slot == 2) && (%amount == 0) && (objectiveHud.gameType $= "TR2Game") && $TimNotifyBeacons)
      clientCmdBottomPrint("Out of Beacons", $TimNotifyDelay, 1);
}

package TimNotify
{
   function clientCmdSetInventoryHudAmount(%slot, %amount)
   {
      TimNotifyBeacon(%slot, %amount);
      parent::clientCmdSetInventoryHudAmount(%slot, %amount);
   }
   
   function DispatchLaunchMode()
   {
      parent::DispatchLaunchMode();

      // kill callbacks
      addMessageCallback('MsgClientJoin', TimNotifyJoin);
      addMessageCallBack('MsgLegitKill', TimNotifyKill);
      addMessageCallBack('MsgRearshotKill', TimNotifyKill);
      addMessageCallBack('MsgHeadshotKill', TimNotifyKill);
      addMessageCallBack('msgExplosionKill', TimNotifyKill);
      addMessageCallBack('msgVehicleKill', TimNotifyKill);
      addMessageCallBack('msgTR2Knockdown', TimNotifyKill);
      addMessageCallBack('msgTeamKill', TimNotifyTKill);
      
      // repkit callbacks
      addMessageCallback('MsgItemPickup', TimNotifyRepkit);
      addMessageCallback('MsgRepairKitUsed', TimNotifyRepkitUse);
   }  
};
activatePackage(TimNotify);